[Unit]
Description=NYQUIST Appliance Display Service
Requisite=network-online.target
After=lighttpd.service php5-fpm.service network-online.target
Wants=network-online.target

[Service]
Type=simple
Environment=QT_QPA_FB_DRM=1 QT_QPA_KMS_CONFIG=/run/qtdisplay.json
ExecStart=/usr/sbin/display-controller -platform linuxfb --no-sandbox http://127.0.0.1/display/?resolution=${APPLIANCE_RESOLUTION}&vrefresh=${APPLIANCE_REFRESH_RATE}
ExecReload=/bin/kill -HUP $MAINPID
KillMode=control-group
Restart=always
RestartSec=60
StartLimitIntervalSec=0
StandardInput=null
StandardOutput=journal
StandardError=journal+console

